// priority: 0

// Visit the wiki for more info - https://kubejs.com/

ServerEvents.recipes(event => {

  let ULV = 8
  let LV = 30
  let MV = 120
  let HV = 480
  let EV = 1920

// fluix_crystal

event.recipes.gtceu.mixer('kubejs:mixer/fluix_crystal')
.itemInputs('ae2:charged_certus_quartz_crystal')
.itemInputs('minecraft:redstone')
.itemInputs('minecraft:quartz')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('2x ae2:fluix_crystal')
.duration(20)
.EUt(ULV)

// glowstone_dust

event.recipes.gtceu.mixer('kubejs:mixer/glowstone_dust')
.itemInputs('#forge:dusts/certus_quartz')
.itemInputs('minecraft:redstone')
.itemInputs('gtceu:gold_dust')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('3x minecraft:glowstone_dust')
.duration(100)
.EUt(LV)

// skystone_dust

event.recipes.gtceu.mixer('kubejs:mixer/skystone_dust')
.itemInputs('#forge:dusts/certus_quartz')
.itemInputs('gtceu:nether_quartz_dust')
.itemInputs('gtceu:silver_dust')
.inputFluids(Fluid.of('gtceu:oxygen', 150))
.itemOutputs('3x ae2:sky_dust')
.duration(100)
.EUt(LV)

// pointed_dripstone

event.recipes.gtceu.mixer('kubejs:mixer/pointed_dripstone')
.itemInputs('gtceu:clay_dust')
.itemInputs('gtceu:calcite_dust')
.itemInputs('gtceu:quartz_sand_dust')
.inputFluids(Fluid.of('minecraft:water', 1000))
.itemOutputs('minecraft:pointed_dripstone')
.duration(200)
.EUt(MV)

// netherite_scrap

event.recipes.gtceu.mixer('kubejs:mixer/netherite_scrap')
.itemInputs('gtceu:chromium_dust')
.itemInputs('gtceu:aluminium_dust')
.itemInputs('gtceu:manganese_dust')
.itemInputs('4x gtceu:quartzite_gem')
.inputFluids(Fluid.of('gtceu:hydrochloric_acid', 250))
.itemOutputs('4x minecraft:netherite_scrap')
.duration(200)
.EUt(HV)

// grains_of_infinity

event.recipes.gtceu.mixer('kubejs:mixer/grains_of_infinity')
.itemInputs('gtceu:netherrack_dust')
.itemInputs('gtceu:endstone_dust')
.itemOutputs('enderio:grains_of_infinity')
.duration(200)
.EUt(LV)

// conduit_binder_composite

event.recipes.gtceu.mixer('kubejs:mixer/conduit_binder_composite')
.itemInputs('gtceu:flint_dust')
.itemInputs('gtceu:clay_dust')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('2x enderio:conduit_binder_composite')
.duration(20)
.EUt(LV)

// white_concrete

event.recipes.gtceu.mixer('kubejs:mixer/white_concrete')
.itemInputs('1x minecraft:white_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:white_concrete')
.duration(20)
.EUt(ULV)

// orange_concrete

event.recipes.gtceu.mixer('kubejs:mixer/orange_concrete')
.itemInputs('1x minecraft:orange_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:orange_concrete')
.duration(20)
.EUt(ULV)

// magenta_concrete

event.recipes.gtceu.mixer('kubejs:mixer/magenta_concrete')
.itemInputs('1x minecraft:magenta_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:magenta_concrete')
.duration(20)
.EUt(ULV)

// light_blue_concrete

event.recipes.gtceu.mixer('kubejs:mixer/light_blue_concrete')
.itemInputs('1x minecraft:light_blue_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:light_blue_concrete')
.duration(20)
.EUt(ULV)

// yellow_concrete

event.recipes.gtceu.mixer('kubejs:mixer/yellow_concrete')
.itemInputs('1x minecraft:yellow_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:yellow_concrete')
.duration(20)
.EUt(ULV)

// lime_concrete

event.recipes.gtceu.mixer('kubejs:mixer/lime_concrete')
.itemInputs('1x minecraft:lime_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:lime_concrete')
.duration(20)
.EUt(ULV)

// pink_concrete

event.recipes.gtceu.mixer('kubejs:mixer/pink_concrete')
.itemInputs('1x minecraft:pink_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:pink_concrete')
.duration(20)
.EUt(ULV)

// gray_concrete

event.recipes.gtceu.mixer('kubejs:mixer/gray_concrete')
.itemInputs('1x minecraft:gray_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:gray_concrete')
.duration(20)
.EUt(ULV)

// light_gray_concrete

event.recipes.gtceu.mixer('kubejs:mixer/light_gray_concrete')
.itemInputs('1x minecraft:light_gray_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:light_gray_concrete')
.duration(20)
.EUt(ULV)

// cyan_concrete

event.recipes.gtceu.mixer('kubejs:mixer/cyan_concrete')
.itemInputs('1x minecraft:cyan_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:cyan_concrete')
.duration(20)
.EUt(ULV)

// purple_concrete

event.recipes.gtceu.mixer('kubejs:mixer/purple_concrete')
.itemInputs('1x minecraft:purple_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:purple_concrete')
.duration(20)
.EUt(ULV)

// blue_concrete

event.recipes.gtceu.mixer('kubejs:mixer/blue_concrete')
.itemInputs('1x minecraft:blue_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:blue_concrete')
.duration(20)
.EUt(ULV)

// brown_concrete

event.recipes.gtceu.mixer('kubejs:mixer/brown_concrete')
.itemInputs('1x minecraft:brown_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:brown_concrete')
.duration(20)
.EUt(ULV)

// green_concrete

event.recipes.gtceu.mixer('kubejs:mixer/green_concrete')
.itemInputs('1x minecraft:green_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:green_concrete')
.duration(20)
.EUt(ULV)

// red_concrete

event.recipes.gtceu.mixer('kubejs:mixer/red_concrete')
.itemInputs('1x minecraft:red_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:red_concrete')
.duration(20)
.EUt(ULV)

// black_concrete

event.recipes.gtceu.mixer('kubejs:mixer/black_concrete')
.itemInputs('1x minecraft:black_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:black_concrete')
.duration(20)
.EUt(ULV)


// fin //

  })